Update an order delivery address
Replaces the delivery address identified by `deliveryAddressId` and returns the stored result. Orders already pointing at this address see the new values. Requires `Permissions.OrderDeliveryAddress.Update`.
PUT
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
deliveryAddressId*integerFormat
int32application/json- body
account?stringLength
length <= 50bank?stringLength
length <= 50companyIdentificationNumber?stringLength
length <= 15countryId?integerFormat
int32deliveryAddress?documentNumber?stringdpdCollectionDate?|Format
date-timedpdDepot?stringLength
length <= 20dpdParcelShopId?stringLength
length <= 25dpdRoute?stringLength
length <= 10dpdSendDepot?stringLength
length <= 50finalRecipient?homelandAbroadOwn?integerFormat
int32ibanCode?stringLength
length <= 35invoicingAddress?note?stringswiftCode?stringLength
length <= 20vatPayer?booleanvatRegistrationNumber?stringLength
length <= 15zasilkovnaLocationId?stringLength
length <= 50zasilkovnaReverseTrackingCode?stringLength
length <= 100application/json- response
account?stringLength
length <= 50bank?stringLength
length <= 50companyIdentificationNumber?stringLength
length <= 15countryId?integerFormat
int32deliveryAddress?documentNumber?stringdpdCollectionDate?|Format
date-timedpdDepot?stringLength
length <= 20dpdParcelShopId?stringLength
length <= 25dpdRoute?stringLength
length <= 10dpdSendDepot?stringLength
length <= 50finalRecipient?homelandAbroadOwn?integerFormat
int32ibanCode?stringLength
length <= 35invoicingAddress?note?stringswiftCode?stringLength
length <= 20vatPayer?booleanvatRegistrationNumber?stringLength
length <= 15zasilkovnaLocationId?stringLength
length <= 50zasilkovnaReverseTrackingCode?stringLength
length <= 100id?integerFormat
int32curl -X PUT 'https://<your-instance>/api/documents/orders/delivery-address/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "account": "string", "bank": "string", "companyIdentificationNumber": "string", "countryId": 0, "deliveryAddress": { "address1": "string", "address2": "string", "address3": "string", "city": "string", "contact": "string", "country": "string", "email": "string", "name": "string", "phone": "string", "zipCode": "string" }, "documentNumber": "string", "dpdCollectionDate": "2019-08-24T14:15:22Z", "dpdDepot": "string", "dpdParcelShopId": "string", "dpdRoute": "string", "dpdSendDepot": "string", "finalRecipient": { "address1": "string", "address2": "string", "address3": "string", "city": "string", "contact": "string", "country": "string", "name": "string", "zipCode": "string" }, "homelandAbroadOwn": 0, "ibanCode": "string", "invoicingAddress": { "address1": "string", "address2": "string", "address3": "string", "city": "string", "contact": "string", "country": "string", "email": "string", "name": "string", "phone": "string", "zipCode": "string" }, "note": "string", "swiftCode": "string", "vatPayer": true, "vatRegistrationNumber": "string", "zasilkovnaLocationId": "string", "zasilkovnaReverseTrackingCode": "string", "id": 0}